Get Channel Accounts

Prev Next
Get
/v1/channel-accounts

Read all Channel Accounts within the permissions of the user.

Limitations: A Channel Account user cannot read its own account. Only Distributor/Governance or Control Account users have access.

Security
HTTP
Type basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the Authentication Guide.

Query parameters
page
integer

The page number to retrieve

size
integer

The number of records per page

id
integer

Filter by Channel Account ID

status
string

Filter by status

Valid values[ "Active", "Deactivated" ]
name
string

Filter by Channel Account name

contactEmail
string (email)

Filter by contact email

controlAccountId
integer

Filter by Control Account ID

includeDeletedSubAccounts
boolean

Whether to include deleted sub-accounts in counts

Responses
200

Successfully retrieved Channel Accounts

{
  "success": "True",
  "message": "Successfully read!",
  "data": {
    "items": [
      {
        "id": "53211",
        "name": "Sample Channel Account",
        "controlAccountId": "53165",
        "controlAccountName": "Sample Control Account",
        "governanceAccountName": "Sample Governance",
        "governanceAccountId": "45424",
        "purchasedStorage": "3",
        "subAccountDefaultPurchasedStorage": "1",
        "subAccountDefaultStorageQuotaType": "Soft quota",
        "storageQuotaType": "Soft quota",
        "subAccountStorage": "0.015625",
        "billableActiveStorage": "0.014321",
        "billableDeletedStorage": "0.001304",
        "subAccountsCount": "3",
        "status": "Active",
        "creationDate": "2024-07-09T08:36:50.898Z",
        "contactEmail": "contact@example.com",
        "deleted": "False"
      }
    ],
    "page": "1",
    "size": "20",
    "total": "1"
  }
}
Expand All
object
success
boolean
message
string
data
object
items
Array of object (ChannelAccountResponse)
object
id
integer
name
string
controlAccountId
integer
controlAccountName
string
governanceAccountId
integer
governanceAccountName
string
purchasedStorage
number
subAccountDefaultPurchasedStorage
number
subAccountDefaultStorageQuotaType
string
storageQuotaType
string
subAccountStorage
number
billableActiveStorage
number
billableDeletedStorage
number
subAccountsCount
integer
status
string
imageUrl
string | null
creationDate
string (date-time)
address1
string
address2
string
country
string
city
string
state
string
zip
string
mainPhone
string
billingPhone
string
contactEmail
string
billingEmail
string
businessNumber
string
taxId
string
fiscalNumber
string
vatNumber
string
website
string
ssoEnabled
boolean
deleted
boolean
page
integer
size
integer
total
integer